CREATE OR ALTER TRIGGER [dbo].[TR_BIRIM_INS]
ON [dbo].[BIRIM] 
AFTER INSERT,UPDATE
AS
begin
	SET NOCOUNT ON;

		UPDATE BIRIM 
		   SET IsoBirimAdi = UPPER(I.IsoBirimAdi), 
		       BirimAdi = UPPER(I.BirimAdi),
			   IhracaatIsoBirimAdi = UPPER(I.IhracaatIsoBirimAdi)
		  FROM BIRIM B
	INNER JOIN INSERTED I ON B.BirimNo = I.BirimNo
end;